Subject: bug#7296: display-pixel-height not enough

From: Jan Djärv <[email-masked]>
Date: Sat, 30 Oct 2010 09:28:48 +0200

Lennart Borgman skrev 2010-10-29 22.05:
> On Fri, Oct 29, 2010 at 9:57 PM, Jan D.<[email-masked]>  wrote:
>> Stefan Monnier skrev 2010-10-29 18:24:
>>>>
>>>> On Gnome, the window manager won't let you do this, so when you set frame
>>>
>>> You mean: Gnome's default window-manager doesn't let you do it.
>>> Many other window-managers that you can use with Gnome let you do it.
>>
>> Right, I only tested with Compiz and metacity.  Then again, it shows that
>> the issue is more complicated than just replacing display-width/height with
>> "available" width/height.
>
> In what way do you mean this shows that using the available
> width/height will fail?
>
> At least on w32 there are system API:s that directly gives you the
> available width/height, taking the taskbar etc status into account.
> Nothing more than that is needed.
>
> Maybe you mean that sometimes you want the total display width/height?

The bug does not include any explanation why the current situation is a 
problem or a use case that describes it.  So I don't know what this 
information is for.  If it is for making an Emacs frame as tall as it can be, 
that information is not it.

For example, on OSX you can not make an Emacs frame cover the top menu bar. 
But x-display-pixel-height includes it.  Yet there has been no complaints of 
anything breaking.  The only bad behaviour I know of is that Emacs initial 
frame may cover the Gnome panels on a small screen.

	Jan D.